petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCGetOptionsPrefix

Gets the prefix used for searching for all PC options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGetOptionsPrefix(PC pc,const char *prefix[])

Not Collective

### Input Parameters

pc -the preconditioner context

### Output Parameters

prefix -pointer to the prefix string used, is returned

Notes: On the fortran side, the user should pass in a string 'prifix' of sufficient length to hold the prefix.

### Keywords

PC, get, options, prefix, database

### See Also

PCSetOptionsPrefix(), PCAppendOptionsPrefix()

Level:advanced
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages